Subject: Re: [Mgs] [Mg-t] Distributor

From: Max Heim <[email-masked]>
Date: Tue, 31 Dec 2013 10:03:44 -0800

I was thinking along very similar lines. The OEMs use custom chips because
they are mass manufacturers. But the same functionality could be provided by
general purpose processors and customizable software. NASA even uses
customizable off-the-shelf hardware/software packages for space probes.

Regarding Rick's concern, I think it more likely that these packages would
be developed for exotic cars than for more common models, since the
specialist shops and suppliers that cater to the wealthy collectors are more
likely to invest in the required development (with the alternative being
their trade would dry up). But it would hardly be worth the investment just
to keep a small number of surviving uncollectable models on the road (1991
Camrys, for instance), since these owners are unlikely to be spending much
money on "restoration".

--

Max Heim
'66 MGB GHN3L76149
If you're near Menlo Park, CA,
it's the primer red one with chrome wires

on 12/30/13 11:50 PM, [email-masked] at [email-masked] wrote:

> I'm not convinced that the advent of black box solid state
> electronics will mark the end of the classic car era. Sure,
> the custom, manufacturer correct parts will become NLA, and
> these type of electronics are basically unserviceable once
> they go.
> But consider just how much computing power you can get today
> in a form factor the size of, say, a phone, and compare that
> to what was possible even five years ago.
> It's not too far fetched to start to create a programmable
> aftermarket 'universal car computer'. All you would need to
> fabricate are the proper wiring connectors for your specific
> car. The computer would have programmable software modules for
> any automotive system that might be computer controlled (from
> ignition to entertainment, and everything in between), and you
> would update it with the software profile of your specific
> car.
> Ideally, it would be open source and highly configurable, so
> that not only could you precisely match the specs of the
> original computer, but you could also customize as well -
> modify engine controls to better match a no-longer-stock
> engine, for example.
> 
> Even the really complex electronics of, say, a Hybrid Lexus,
> are just sensors and software in the end. Getting the
> manufacturers on board would help in creating the software
> profile for specific cars, but it wouldn't truly be necessary.
> If the software was reasonably well designed, a basic
> understanding of the required functions should be enough to
> backwards engineer the programming for any given model. And of
> course, you only have to do each model once. Once somebody has
> figured it out, sharing the programming is as easy as
> downloading a file from the internet.
> 
> There will probably be a cottage industry of software mods as
> well, like the 'go-faster' chips you can buy in the magazines,
> only far more sophisticated and customizable.
> 
> Hmm, I think I may have just found my million-dollar-idea...
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]